#include "StoreFeaturedSubPresenter.h"
#include "StoreRedirectionData.h"
#include "MysteryBoxStatus.h"
#include "StoreContentViewData.h"

void UStoreFeaturedSubPresenter::RequestMoveToPage(const FStoreRedirectionData& storeRedirectionData, const uint32 contextUid)
{

}

void UStoreFeaturedSubPresenter::RequestMoveToCharactersPage(const FStoreRedirectionData& storeRedirectionData)
{

}

void UStoreFeaturedSubPresenter::RequestMoveFromFeaturedCustomizationItems(const FStoreRedirectionData& storeRedirectionData)
{

}

void UStoreFeaturedSubPresenter::RequestCrossPromoPopup(const FString& crossPromoId)
{

}

void UStoreFeaturedSubPresenter::OnMysteryBoxStatusLoaded(bool succeeded, const FString& campaign, const FMysteryBoxStatus& status)
{

}

void UStoreFeaturedSubPresenter::OnMysteryBoxClaimComplete(bool succeeded, const FString& campaign, const FMysteryBoxStatus& status)
{

}

void UStoreFeaturedSubPresenter::OnMysteryBoxClaimClicked()
{

}

void UStoreFeaturedSubPresenter::OnMysteryBoxClaimableStatusChanged(const FString& campaign, const FMysteryBoxStatus& status)
{

}

void UStoreFeaturedSubPresenter::OnFeaturedContentClicked(const FStoreContentViewData& storeContentViewData)
{

}

void UStoreFeaturedSubPresenter::OnBackendStoreDataReceived(bool success)
{

}

UStoreFeaturedSubPresenter::UStoreFeaturedSubPresenter()
{

}
